<?php

/**
 * @file
 * Admin page callbacks for the Fix Teaserlinks module.
 */

/**
 * Menu callback: Provide module settings page.
 *
 * @return array
 *   Form.
 *
 * if (module_exists('comment')) {
 */
function fixteaserlinks_config_form() {
  $options = array('pcomment' => 'Add new comment/Log in to post comments', 'comcount' => 'X comments (comment count)', 'readmore' => 'Read more', 'hnnsblog' => "NN's blog");
  $pcommentp = \Drupal::config('fixteaserlinks.settings')->get('fixteaserlinks_comment');
  $comcountp = \Drupal::config('fixteaserlinks.settings')->get('fixteaserlinks_comcount');
  $readmorep = \Drupal::config('fixteaserlinks.settings')->get('fixteaserlinks_readmore');
  $hnnsblogp = \Drupal::config('fixteaserlinks.settings')->get('fixteaserlinks_nnsblog');
  $settings = array(
    'pcomment' => $pcommentp ? 'pcomment' : FALSE,
    'comcount' => $comcountp ? 'comcount' : FALSE,
    'readmore' => $readmorep ? 'readmore' : FALSE,
    'hnnsblog' => $hnnsblogp ? 'hnnsblog' : FALSE,
  );
  $form['fixteaserlinks_config'] = array(
    '#type' => 'checkboxes',
    '#multiple' => TRUE,
    '#title' => t('Disable the following teaser links:'),
    '#options' => $options,
    '#default_value' => $settings,
    '#description' => t('To disable a link, check the box to the left of the item.'),
  );
   $form['submit'] = array(
    '#type' => 'submit',
    '#value' => 'Save configuration',
  );
  
  return $form;
}

/**
 * Submit for the fixteaserlinks_config form.
 */
function fixteaserlinks_config_form_submit($form, &$form_state) {
  \Drupal::configFactory()->getEditable('fixteaserlinks.settings')->set('fixteaserlinks_comment', $form_state['values']['fixteaserlinks_config']['pcomment'])->save();
  \Drupal::configFactory()->getEditable('fixteaserlinks.settings')->set('fixteaserlinks_comcount', $form_state['values']['fixteaserlinks_config']['comcount'])->save();
  \Drupal::configFactory()->getEditable('fixteaserlinks.settings')->set('fixteaserlinks_readmore', $form_state['values']['fixteaserlinks_config']['readmore'])->save();
  \Drupal::configFactory()->getEditable('fixteaserlinks.settings')->set('fixteaserlinks_nnsblog', $form_state['values']['fixteaserlinks_config']['hnnsblog'])->save();
  \Drupal::messenger()->addMessage(t('Configuration saved.'));
}
